Package org.drinkless.tdlib

# Class TdApi.MessageStatistics

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageStatistics

Enclosing class:
  `TdApi`

public static class TdApi.MessageStatistics extends TdApi.Object
A detailed statistics about a message.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.StatisticalGraph`
  `messageInteractionGraph`
  A graph containing number of message views and shares.
  `TdApi.StatisticalGraph`
  `messageReactionGraph`
  A graph containing number of message reactions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageStatistics()`
  A detailed statistics about a message.
  `MessageStatistics(TdApi.StatisticalGraph messageInteractionGraph, TdApi.StatisticalGraph messageReactionGraph)`
  A detailed statistics about a message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### messageInteractionGraph

    public TdApi.StatisticalGraph messageInteractionGraph
    A graph containing number of message views and shares.

  - ### messageReactionGraph

    public TdApi.StatisticalGraph messageReactionGraph
    A graph containing number of message reactions.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageStatistics

    public MessageStatistics()
    A detailed statistics about a message.

  - ### MessageStatistics

    public MessageStatistics(TdApi.StatisticalGraph messageInteractionGraph, TdApi.StatisticalGraph messageReactionGraph)
    A detailed statistics about a message.
    Parameters:
      `messageInteractionGraph` - A graph containing number of message views and shares.
      `messageReactionGraph` - A graph containing number of message reactions.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR